//
//  TaskTesterAppDelegate.m
//  TaskTester
//
//  Created by Colin Wheeler on 11/2/09.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import "TaskTesterAppDelegate.h"

@implementation TaskTesterAppDelegate

@synthesize window;

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification {
	// Insert code here to initialize your application 
}

-(IBAction)launchTaskAndShowResult:(id)sender
{
	NSTask *task = [[NSTask alloc] init];
	NSPipe *outPipe = [NSPipe pipe];
	
	[task setLaunchPath:@"/bin/cat"];
	
	NSString *dirPath = [[[NSBundle mainBundle] pathForResource:@"test" ofType:@"txt"] stringByDeletingLastPathComponent];
	
	[task setCurrentDirectoryPath:dirPath];
	
	[task setArguments:[NSArray arrayWithObject:@"test.txt"]];
	[task setStandardOutput:outPipe];
	
	[task launch];
	[task waitUntilExit];
	
	NSString *result = [[NSString alloc] initWithData:[[outPipe fileHandleForReading] readDataToEndOfFile] encoding:NSASCIIStringEncoding];
	
	[outputView insertText:result];
}

@end
